//-*- C++ -*-
#ifndef NIVEL_H_
#define NIVEL_H_

#include <set>

#include "jugador.h"
#include "enemigo.h"	


//clase Nivel
class Nivel{
	public:
		//!Contructor de nivel
		/*!@param Recibe el personaje del jugador
		*  @param He quitado el resto para realizar las pruebas*/
		Nivel(const Jugador& j,const Enemigo& e);
		//!Funcion donde se desarrolla la jugavilidad del nivel
		/*!@param Recibe el puntero a la ventana
		*  @param Y en el futuro devolvera el resultado del jugador*/
		int Jugar(SDL_Surface*);
	private:
		Jugador munyeco;
		Enemigo coche;
				
};

#endif



