//-*- C++ -*-
#ifndef ITEM_H_
#define ITEM_H_

#include <SDL/SDL_image.h>
#include "jugador.h"

//Clase Item
class Item{
	public:
		//!Constructor de la clase Item
		//@param Recibe las codenadas en las que ocupara el Item
		
		Item(int x, int y);
		//!Funcion mover
		// No recibe ni devulve nada, solo realiza el desplazamiento deseado		
		void mover();
		//!Funciones observadoras
		//@return Devuelve el atributo solicitado
		int cordenadaxi()const;
		int cordenadaxf()const;
		int cordenadayi()const;
		int cordenadayf()const;
		void mostrar(SDL_Surface *screen)const;
		bool colision(const Jugador& j);
	private:
		int x_,y_,w_,h_;
};

#endif

/**
*Ya que la diseñadora grafica tras mandar sus imagenes, por fin, hemos tenido que cambiar
*la estructura de la clase ya que la imagen de los item estan directamente en el fondo.
*(lo cual no es lo hablado)
* Las funciones son la basicas de constructoras y observadora.
* La funcion de movimiento tendra que retocarse a la hora de incrementar las cordenadas.
*/
