#include <stdio.h>
#include <iostream>
#include <SDL/SDL_image.h>
#include "jugador.h"
#include "objeto.h"


#define COLOR 255, 255, 255

using namespace std;

Jugador::Jugador(int x, int y){
SDL_Surface *image = IMG_Load("img/persoanje.png");
if ( image == NULL ) {
        fprintf(stderr, "No pude cargar %s: %s\n", "runr_up.png", SDL_GetError());
        return;
}
x_=x;
y_=y;
h_=image->h;
w_=image->w;
}

Jugador::Jugador(const Jugador* j)
{
	x_=j->x_;
	y_=j->y_;
	h_=j->h_;
	w_=j->w_;
}

void Jugador::mostrar(SDL_Surface *screen)const
{
    SDL_Rect dest;
    SDL_Surface *image = IMG_Load("img/persoanje.png");
    if ( image == NULL ) {
        fprintf(stderr, "No pude cargar %s: %s\n", "runr_up.png", SDL_GetError());
        return;
    }

    /* Volcamos en la superficie de pantalla.
       Las superficies no deberían estar bloqueadas 
       en este punto. */
    dest.x = x_;
    dest.y = y_;
    dest.w = w_;
    dest.h = h_;
    SDL_BlitSurface(image, NULL, screen, &dest);

    SDL_FreeSurface(image);
}



void Jugador::mover(int t,const Objeto& o)
{
	if(t==0){
		if(y_-5<=o.cordenadayf() && y_-5>=o.cordenadayi() && ((x_ >=o.cordenadaxi() && x_<=o.cordenadaxf())||(x_+w_ >=o.cordenadaxi() && x_+w_<=o.cordenadaxf())))
			y_=o.cordenadayf()+6;
		if(y_-5>=0)
			y_-=5;	
		else
			y_=0;
	}
	else if(t==1){
		if(y_+h_+5>=o.cordenadayi() && y_+h_+5<=o.cordenadayf() && ((x_ >=o.cordenadaxi() && x_<=o.cordenadaxf())||(x_+w_ >=o.cordenadaxi() && x_+w_<=o.cordenadaxf())))
			y_=o.cordenadayi()-h_-6;
		if((y_+h_+5)<=600)
			y_+=5;
		else
			y_=600-h_;
		}
	     else if(t==2){
			if(x_-5<=o.cordenadaxf() && x_-5>=o.cordenadaxi() && ((y_ >=o.cordenadayi() && y_<=o.cordenadayf())||(y_+h_ >=o.cordenadayi() && y_+h_<=o.cordenadayf())))
				x_=o.cordenadaxf()+8;
			if(x_-5>=100)
				x_-=5;
			else
				x_=100;
			}
		  else if(t==3){
			if(x_+w_+5>=o.cordenadaxi() && x_+w_+5<=o.cordenadaxf() && ((y_ >=o.cordenadayi() && y_<=o.cordenadayf())||(y_+h_ >=o.cordenadayi() && y_+h_<=o.cordenadayf())))
				x_=o.cordenadaxi()-w_-6;
			if((x_+w_+5)<=600)
				x_+=5;	
			else
				x_=600-w_;
			}
}

