#include <stdio.h>
#include <SDL/SDL_image.h>
#include "objeto.h"

using namespace std;

Objeto::Objeto(int x, int y):x_(x),y_(y)
{
	SDL_Surface *image=IMG_Load("img/coche_aparcado.png");
	if ( image == NULL ) {
	        fprintf(stderr, "No pude cargar %s: %s\n", "coche_aparcado.png", SDL_GetError());
	        return;
	}
	
	h_=image->h;
	w_=image->w;
}


void Objeto::mover()
{
	y_++;
}

int Objeto::cordenadaxi()const
{
	return x_;
}

int Objeto::cordenadaxf()const
{
	return x_+w_;
}

int Objeto::cordenadayi()const
{
	return y_;
}

int Objeto::cordenadayf()const
{
	return y_+h_;
}

void Objeto::mostrar(SDL_Surface *screen)const
{
    SDL_Rect dest;
    SDL_Surface *image = IMG_Load("img/coche_aparcado.png");
    if ( image == NULL ) {
        fprintf(stderr, "No pude cargar %s: %s\n", "coche_aparcado.png", SDL_GetError());
        return;
    }

    /* Volcamos en la superficie de pantalla.
       Las superficies no deberían estar bloqueadas 
       en este punto. */
    dest.x = x_;
    dest.y = y_;
    dest.w = w_;
    dest.h = h_;
    SDL_BlitSurface(image, NULL, screen, &dest);

    SDL_FreeSurface(image);
}

